
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/docs/4.0/assets/img/favicons/favicon.ico">

    <title>KSE – Configuration</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/jumbotron/">

    <!-- Bootstrap core CSS -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="../../../css/speaker.css" rel="stylesheet">
  </head>

  <body>

    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand" href="/kse/gui" th:utext="${menulogo}"><img src="/images/wmlogo.png" style="max-height:30px;"/></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto" th:utext="${menutext}">
          <li class="nav-item active">
            <a class="nav-link" href="/kse/gui">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/kse/gui/management">Management</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Knowledge</a>
            <div class="dropdown-menu" aria-labelledby="dropdown01">
              <a class="dropdown-item" href="/kse/gui/collections">Collections</a>
              <a class="dropdown-item" href="/kse/gui/sparql">Sparql</a>
              <a class="dropdown-item" href="/kse/gui/searchsite">Search</a>
            </div>
          </li>
        </ul>
      	<a class="navbar-brand my-2 my-lg-0" href="https://www.dfki.de/web"><img src="/images/logo_dfki.png" style="max-height:35px;"/></a>
      </div>
    </nav>

    <main role="main" class="container">
      <!-- Main jumbotron for a primary marketing message or call to action -->
        <div class="container">
          <h1 class="display-4">Configuration</h1>
          <!-- <p><a class="btn btn-primary btn-lg" href="#" role="button">Learn more &raquo;</a></p> -->
        </div>
      <div class="container">
        <!-- Example row of columns -->
        
        
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12">
            <p>This site allows the management of KSE configuration parameters.</p>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12">
            <h2>Triple Store Properties</h2>
            <table class="table">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Property</th>
			      <th scope="col">Value</th>
			      <th scope="col">Action</th>
			    </tr>
			  </thead>
			  <tbody>
			    <tr  th:each="prop: ${ts_properties}">
<!-- 			        <form class="form-inline my-2 my-lg-0" action="management/changeuser" method="POST"> -->
				      <th scope="row" th:text="${prop.id}">1</th>
				      <td><input th:value="${prop.key}" th:attr="id='ts_name_'+${prop.id}" class="form-control mr-md-2" type="text" placeholder="User Name" aria-label="User Name"></td>
				      <td><input th:value="${prop.value}" th:attr="id='ts_value_'+${prop.id}" class="form-control mr-md-2" type="text" placeholder="User Role" aria-label="User Role"></td>
				      <td><button th:attr="id='ts_edit_'+${prop.id}" class="btn btn-outline-primary my-2 my-sm-0" type="submit">Edit</button></td>
				      <td><button th:attr="id='ts_save_'+${prop.id}" class="btn btn-outline-primary my-2 my-sm-0" type="submit">Save</button></td>
		   		    	<!-- <input class="form-control mr-md-2" type="password" placeholder="New Password" aria-label="New Password">
						<input class="form-control mr-md-2" type="password" placeholder="Repeat New Password" aria-label="Repeat New Password">
						 -->
<!-- 					</form> -->
			    </tr>
			  </tbody>
			</table>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12">
            <h2>File System Properties</h2>
            <table class="table">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Property</th>
			      <th scope="col">Value</th>
			      <th scope="col">Action</th>
			    </tr>
			  </thead>
			  <tbody>
			    <tr  th:each="prop: ${fs_properties}">
<!-- 			        <form class="form-inline my-2 my-lg-0" action="management/changeuser" method="POST"> -->
				      <th scope="row" th:text="${prop.id}">1</th>
				      <td><input th:value="${prop.key}" th:attr="id='fs_name_'+${prop.id}" class="form-control mr-md-2" type="text" placeholder="User Name" aria-label="User Name"></td>
				      <td><input th:value="${prop.value}" th:attr="id='fs_value_'+${prop.id}" class="form-control mr-md-2" type="text" placeholder="User Role" aria-label="User Role"></td>
				      <td><button th:attr="id='fs_edit_'+${prop.id}" class="btn btn-outline-primary my-2 my-sm-0" type="submit">Edit</button></td>
				      <td><button th:attr="id='fs_save_'+${prop.id}" class="btn btn-outline-primary my-2 my-sm-0" type="submit">Save</button></td>
		   		    	<!-- <input class="form-control mr-md-2" type="password" placeholder="New Password" aria-label="New Password">
						<input class="form-control mr-md-2" type="password" placeholder="Repeat New Password" aria-label="Repeat New Password">
						 -->
<!-- 					</form> -->
			    </tr>
			  </tbody>
			</table>
          </div>
        </div>
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12">
            <h2>Text Indexes Properties</h2>
            <table class="table">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Property</th>
			      <th scope="col">Value</th>
			      <th scope="col">Action</th>
			    </tr>
			  </thead>
			  <tbody>
			    <tr  th:each="prop: ${ti_properties}">
<!-- 			        <form class="form-inline my-2 my-lg-0" action="management/changeuser" method="POST"> -->
				      <th scope="row" th:text="${prop.id}">1</th>
				      <td><input th:value="${prop.key}" th:attr="id='ti_name_'+${prop.id}" class="form-control mr-md-2" type="text" placeholder="User Name" aria-label="User Name"></td>
				      <td><input th:value="${prop.value}" th:attr="id='ti_value_'+${prop.id}" class="form-control mr-md-2" type="text" placeholder="User Role" aria-label="User Role"></td>
				      <td><button th:attr="id='ti_edit_'+${prop.id}" class="btn btn-outline-primary my-2 my-sm-0" type="submit">Edit</button></td>
				      <td><button th:attr="id='ti_save_'+${prop.id}" class="btn btn-outline-primary my-2 my-sm-0" type="submit">Save</button></td>
		   		    	<!-- <input class="form-control mr-md-2" type="password" placeholder="New Password" aria-label="New Password">
						<input class="form-control mr-md-2" type="password" placeholder="Repeat New Password" aria-label="Repeat New Password">
						 -->
<!-- 					</form> -->
			    </tr>
			  </tbody>
			</table>
          </div>
        </div>
        <hr>

      </div> <!-- /container -->

    </main>

    <footer class="footer">
      <div class="container">
        <span class="text-muted" th:utext="${footertext}">&copy; DFKI GmbH 2022</span>
      </div>
    </footer>
<!--     <footer class="container">
      <p>&copy; DFKI GmbH 2020</p>
    </footer> -->

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html>
